osg::ConstShapeVisitor Class Reference

`#include <Shape>`

Inheritance diagram for osg::ConstShapeVisitor:

## Public Member Functions

| ConstShapeVisitor ()
virtual | ~ConstShapeVisitor ()
virtual void | apply (const Shape &)
virtual void | apply (const Sphere &)
virtual void | apply (const Box &)
virtual void | apply (const Cone &)
virtual void | apply (const Cylinder &)
virtual void | apply (const Capsule &)
virtual void | apply (const InfinitePlane &)
virtual void | apply (const TriangleMesh &)
virtual void | apply (const ConvexHull &)
virtual void | apply (const HeightField &)
virtual void | apply (const CompositeShape &)

## Constructor & Destructor Documentation

## ConstShapeVisitor()

osg::ConstShapeVisitor::ConstShapeVisitor | ( |  | ) |

inline

## ~ConstShapeVisitor()

virtual osg::ConstShapeVisitor::~ConstShapeVisitor | ( |  | ) |

virtual

## Member Function Documentation

## apply() [1/11]

virtual void osg::ConstShapeVisitor::apply | ( | const Box & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [2/11]

virtual void osg::ConstShapeVisitor::apply | ( | const Capsule & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [3/11]

virtual void osg::ConstShapeVisitor::apply | ( | const CompositeShape & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [4/11]

virtual void osg::ConstShapeVisitor::apply | ( | const Cone & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [5/11]

virtual void osg::ConstShapeVisitor::apply | ( | const ConvexHull & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [6/11]

virtual void osg::ConstShapeVisitor::apply | ( | const Cylinder & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [7/11]

virtual void osg::ConstShapeVisitor::apply | ( | const HeightField & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [8/11]

virtual void osg::ConstShapeVisitor::apply | ( | const InfinitePlane & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [9/11]

virtual void osg::ConstShapeVisitor::apply | ( | const Shape & |  | ) |

inline virtual

## apply() [10/11]

virtual void osg::ConstShapeVisitor::apply | ( | const Sphere & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

## apply() [11/11]

virtual void osg::ConstShapeVisitor::apply | ( | const TriangleMesh & |  | ) |

inline virtual

Reimplemented in osg::BuildShapeGeometryVisitor.

The documentation for this class was generated from the following file:

- Shape